define(['testsuite/qunit', 'jquery', 'ep/i18n', '$i18n!en-GB'], function (QUnit, $, ep, enGB) {

	QUnit.module("ep/i18n");

	QUnit.asyncTest("dates", function() {

		QUnit.equal(
			enGB('date','12/01/2010').getTime(),
			new Date(2010, 0, 12).getTime(),
			"enGB('date','12/01/2010')"
		);

		QUnit.equal(
			enGB('date', new Date(2010,0,12)),
			'12/01/2010',
			"enGB('date', new Date(2010,0,12))"
		);
		
		QUnit.start();
	});

	QUnit.asyncTest("numbers", function() {

		QUnit.equal(
			enGB('number','12,000.99'),
			12000.99,
			"enGB('number','12,000.99')"
		);

		QUnit.equal(
			enGB('number',12000.99),
			'12,000.99',
			"enGB('number',12000.99)"
		);

		QUnit.equal(
			enGB('percent','12.90 %'),
			12.9,
			"enGB('percent','12.90 %')"
		);

		QUnit.equal(
			enGB('percent',12.9),
			'12.90 %',
			"enGB('percent',12.9)"
		);
		
		QUnit.start();
	});

	QUnit.asyncTest("bytes", function() {

		QUnit.equal(
			ep.i18n.formatBytes(12000, {region: 'en-GB'}),
			"11.72 kB",
			"ep.i18n.formatBytes(12000, {region: 'en-GB'})"
		);

		QUnit.equal(
			ep.i18n.formatBytes(1200000, 4, {region: 'en-GB'}),
			"1.1444 MB",
			"ep.i18n.formatBytes(1200000, 4, {region: 'en-GB'})"
		);

		QUnit.equal(
			ep.i18n.formatBytes(2147483648, {region: 'en-GB'}),
			"2.00 GB",
			"ep.i18n.formatBytes(2147483648, {region: 'en-GB'})"
		);

		QUnit.equal(
			ep.i18n.formatBytes(10240, 4, {region: 'en-GB'}),
			"10.0000 kB",
			"ep.i18n.formatBytes(10240, 4, {region: 'en-GB'})"
		);

		QUnit.equal(
			ep.i18n.formatBytes(10240, 2, {region: 'de-DE'}),
			"10,00 kB",
			"ep.i18n.formatBytes(10240, 2, {region: 'de-DE'})"
		);

		QUnit.start();
	});

});